Ir al contenido
Documentación de Endless

Remove user image

DELETE
/users/{user_id}/image

Deletes an user image. Scoped to the user named by user_id.

Authorization

bearerAuth
AuthorizationBearer <token>

JWT token from authentication

In: header

Path Parameters

user_id*string
Match^user_

Header Parameters

Endless-Api-Version?string

Pin the caller to an API major (1). Omit to accept the current version. A major this deployment cannot serve is refused with 400 unsupported_api_version.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X DELETE "https://example.com/users/user_abc123/image"
{  "success": true,  "user": {    "id": "string",    "email": "string",    "emails": [      "string"    ],    "first_name": "string",    "last_name": "string",    "image_url": "string",    "username": "string",    "public_metadata": "string",    "private_metadata": "string",    "unsafe_metadata": "string",    "preferred_language": "en",    "known_languages": [      "string"    ],    "preferred_time_zone": "string",    "known_time_zones": [      "string"    ],    "mod_user_id": "string",    "dual_user_id": "string",    "intercom_contact_id": "string",    "deleted_at": "2019-08-24T14:15:22Z",    "created_at": "2019-08-24T14:15:22Z",    "updated_at": "2019-08-24T14:15:22Z",    "clerk_updated_at": "2019-08-24T14:15:22Z"  }}